import sys, re, string
from cppy.cp_util import *

def extract_words(path_to_file):
    with open(path_to_file,encoding='utf-8') as f:
        str_data = f.read()
    pattern = re.compile('[\W_]+')
    word_list = pattern.sub(' ', str_data).lower().split()

    
    stop_words = get_stopwords()

    return [w for w in word_list if not w in stop_words]

